package com.malk.kuaikeli;

import com.alibaba.fastjson.JSONObject;
import com.malk.kuaikeli.service.SupplierMaterialService;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.service.aliwork.YDClient;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Map;

@Slf4j
@SpringBootTest
@RunWith(SpringRunner.class)
public class DdTest {

    @Autowired
    private SupplierMaterialService supplierMaterialService;
    @Autowired
    private YDClient ydClient;

    @Test
    public void create(){
        String time="20240410114941";
        supplierMaterialService.sync(time);
    }

    @Test
    public void test(){
        Map form = ydClient.queryData(YDParam.builder()
                .appType("APP_K8EYBJO1GLUWYIXT12DI")
                .systemToken("7C766871QS1GIKQ68SWX0BS71RSZ1LONSB2PLA")
                .formInstanceId(String.valueOf("0b8d83d3-65e8-47ce-94f0-5ac326ec7992"))
                .build(), YDConf.FORM_QUERY.retrieve_id).getFormData();
        System.out.println(JSONObject.toJSONString(form));
    }
}
